// @ts-nocheck
/**
 * 檢查壹個值是否已定義（不為 undefined）且不為 null
 * @param value 要檢查的值
 * @returns 如果值已定義且不為 null，則返回 true；否則返回 false
 */
// #ifndef UNI-APP-X
export function isDef(value: unknown): boolean {
  return value !== undefined && value !== null;
}
// #endif


// #ifdef UNI-APP-X
export function isDef(value : any|null) : boolean {
	// #ifdef APP-ANDROID || APP-IOS
	return value != null;
	// #endif
	// #ifndef APP-ANDROID || APP-IOS
	return value != null && value != undefined;
	// #endif
}
// #endif